@echo off

:: Read variables from VARS.txt
:: The required variables are:
::   SEGGER_CC="Path/to/emBuild.exe"
::   SDK_PATH_15_2_0="Path/to/SDK_15.2.0"
::   SDK_PATH_15_0_0="Path/to/SDK_15.0.0"

for /f "delims== tokens=1,2" %%G in (VARS.txt) do set %%G=%%H

:: Save current working directory for later

set WD="%CD%"


:: Build SDK 15.2 PCA10040 Debug/Release

cd "..\ble_app_uart_sdk_15.2.0\pca10040\s132\ses"
@echo on
%SEGGER_CC% -config "Debug" ble_app_uart_vt_pca10040_s132.emProject
%SEGGER_CC% -config "Release" ble_app_uart_vt_pca10040_s132.emProject
@echo off
cd %WD%
@echo on

mergehex -m %SDK_PATH_15_2_0%\components\softdevice\s132\hex\s132_nrf52_6.1.0_softdevice.hex ^
..\ble_app_uart_sdk_15.2.0\pca10040\s132\ses\Output\Debug\Exe\ble_app_uart_vt_pca10040_s132.hex ^
-o ..\ble_app_uart_sdk_15.2.0\hex\ble_app_uart_vt_pca10040_s132_debug_with_s132_6_1_0.hex

mergehex -m %SDK_PATH_15_2_0%\components\softdevice\s132\hex\s132_nrf52_6.1.0_softdevice.hex ^
..\ble_app_uart_sdk_15.2.0\pca10040\s132\ses\Output\Release\Exe\ble_app_uart_vt_pca10040_s132.hex ^
-o ..\ble_app_uart_sdk_15.2.0\hex\ble_app_uart_vt_pca10040_s132_release_with_s132_6_1_0.hex


:: Build SDK 15.2 PCA10056 Debug/Release

@echo off
cd "..\ble_app_uart_sdk_15.2.0\pca10056\s140\ses"
@echo on
%SEGGER_CC% -config "Debug" ble_app_uart_vt_pca10056_s140.emProject
%SEGGER_CC% -config "Release" ble_app_uart_vt_pca10056_s140.emProject
@echo off
cd %WD%
@echo on

mergehex -m %SDK_PATH_15_2_0%\components\softdevice\s140\hex\s140_nrf52_6.1.0_softdevice.hex ^
..\ble_app_uart_sdk_15.2.0\pca10056\s140\ses\Output\Debug\Exe\ble_app_uart_vt_pca10056_s140.hex ^
-o ..\ble_app_uart_sdk_15.2.0\hex\ble_app_uart_vt_pca10056_s140_debug_with_s140_6_1_0.hex

mergehex -m %SDK_PATH_15_2_0%\components\softdevice\s140\hex\s140_nrf52_6.1.0_softdevice.hex ^
..\ble_app_uart_sdk_15.2.0\pca10056\s140\ses\Output\Release\Exe\ble_app_uart_vt_pca10056_s140.hex ^
-o ..\ble_app_uart_sdk_15.2.0\hex\ble_app_uart_vt_pca10056_s140_release_with_s140_6_1_0.hex


:: Build SDK 15.0 PCA10040 Debug/Release

@echo off
cd "..\ble_app_uart_sdk_15.0.0\pca10040\s132\ses"
@echo on
%SEGGER_CC% -config "Debug" ble_app_uart_vt_pca10040_s132.emProject
%SEGGER_CC% -config "Release" ble_app_uart_vt_pca10040_s132.emProject
@echo off
cd %WD%
@echo on

mergehex -m %SDK_PATH_15_0_0%\components\softdevice\s132\hex\s132_nrf52_6.0.0_softdevice.hex ^
..\ble_app_uart_sdk_15.0.0\pca10040\s132\ses\Output\Debug\Exe\ble_app_uart_vt_pca10040_s132.hex ^
-o ..\ble_app_uart_sdk_15.0.0\hex\ble_app_uart_vt_pca10040_s132_debug_with_s132_6_0_0.hex

mergehex -m %SDK_PATH_15_0_0%\components\softdevice\s132\hex\s132_nrf52_6.0.0_softdevice.hex ^
..\ble_app_uart_sdk_15.0.0\pca10040\s132\ses\Output\Release\Exe\ble_app_uart_vt_pca10040_s132.hex ^
-o ..\ble_app_uart_sdk_15.0.0\hex\ble_app_uart_vt_pca10040_s132_release_with_s132_6_0_0.hex


:: Build SDK 15.0 PCA10056 Debug/Release
@echo off
cd "..\ble_app_uart_sdk_15.0.0\pca10056\s140\ses"
@echo on
%SEGGER_CC% -config "Debug" ble_app_uart_vt_pca10056_s140.emProject
%SEGGER_CC% -config "Release" ble_app_uart_vt_pca10056_s140.emProject
@echo off
cd %WD%
@echo on

mergehex -m %SDK_PATH_15_0_0%\components\softdevice\s140\hex\s140_nrf52_6.0.0_softdevice.hex ^
..\ble_app_uart_sdk_15.0.0\pca10056\s140\ses\Output\Debug\Exe\ble_app_uart_vt_pca10056_s140.hex ^
-o ..\ble_app_uart_sdk_15.0.0\hex\ble_app_uart_vt_pca10056_s140_debug_with_s140_6_0_0.hex

mergehex -m %SDK_PATH_15_0_0%\components\softdevice\s140\hex\s140_nrf52_6.0.0_softdevice.hex ^
..\ble_app_uart_sdk_15.0.0\pca10056\s140\ses\Output\Release\Exe\ble_app_uart_vt_pca10056_s140.hex ^
-o ..\ble_app_uart_sdk_15.0.0\hex\ble_app_uart_vt_pca10056_s140_release_with_s140_6_0_0.hex

@echo off

echo ""
pause