#ifndef VT_ACI_H__
#define VT_ACI_H__

#include <stdint.h>

#define VT_ACI_PDU_MAX_LENGTH 254

typedef enum 
{
    VT_ACI_CMD_TEST = 0x01,
    VT_ACI_CMD_ECHO = 0x02
} vt_aci_cmd_t;


typedef enum
{
    VT_ACI_EVT_DEVICE_STARTED = 0x81,
    VT_ACI_EVT_ECHO           = 0x82
} vt_aci_event_t;



typedef struct __attribute__((packed))
{
    uint8_t length;
    uint8_t opcode;
    uint8_t pdu[VT_ACI_PDU_MAX_LENGTH];
}
vt_aci_packet_t;


typedef void (*vt_aci_evt_handler_t)(vt_aci_packet_t * p_packet);


uint32_t vt_aci_init(void * p_uart_config, vt_aci_evt_handler_t evt_handler);

uint32_t vt_aci_send(vt_aci_cmd_t opcode, uint8_t length, uint8_t * p_data);


#endif // VT_ACI_H__